package info.kofler.test_as_42

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import info.kofler.test_as_42.databinding.ActivityMainBinding
import java.text.DateFormat
import java.util.*

class MainActivity : AppCompatActivity() {

    // layout/activity_main.xml -> ActivityMainBinding usw.
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        // setContentView(R.layout.activity_main)
        binding = ActivityMainBinding.inflate(layoutInflater)

        binding.mybutton.setOnClickListener {
            val loc = Locale.getDefault()
            val fmt = DateFormat.getDateTimeInstance(
                DateFormat.LONG, DateFormat.LONG, loc)
            binding.mytext.text = "Datum und Uhrzeit:\n" + fmt.format(Date())
        }

        setContentView(binding.root)
    }
}