package info.kofler.recycler

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import info.kofler.recycler.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding
    val mydata = mutableListOf<String>()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        // Daten für Recycler initialisieren
        for (i in 1..30)
            mydata.add("Hello RecycleView $i")

        // Layout-Manager und Adapter für RecycleView einstellen
        binding.myrecycleview.layoutManager = LinearLayoutManager(this)
        // binding.myrecycleview.layoutManager = GridLayoutManager(this, 3)
        binding.myrecycleview.adapter = MyRecyclerAdapter(mydata, this)
    }


}
