package info.kofler.emptyfragments


import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.navigation.findNavController
import info.kofler.emptyfragments.databinding.Fragment2Binding

class Fragment2 : Fragment() {
    private var _binding: Fragment2Binding? = null
    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(inflater: LayoutInflater,
                              container: ViewGroup?,
                              savedInstanceState: Bundle?): View?
    {
        _binding = Fragment2Binding.inflate(inflater, container, false)

        binding.btnNext.setOnClickListener {
            val navContr = binding.root.findNavController()
            navContr.navigate(R.id.action_fragment2_to_fragment3)
        }

        return binding.root
    }


}
