package info.kofler.viewmodel


import android.os.Bundle
import android.util.Log
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.lifecycle.ViewModelProvider
import info.kofler.viewmodel.databinding.FragmentF3Binding

class Fragment3 : Fragment() {
    private var _binding: FragmentF3Binding? = null
    // This property is only valid between onCreateView and
    // onDestroyView!
    private val binding get() = _binding!!

    private lateinit var mydata : MyData

    override fun onCreateView(inflater: LayoutInflater,
                              container: ViewGroup?,
                              savedInstanceState: Bundle?): View?
    {
        Log.i("xxx", "onCreateView in Fragment3")

        // Zugriff auf Shared Data
        mydata = ViewModelProvider(requireActivity()).get(MyData::class.java)

        // Fragment erzeugen
        _binding = FragmentF3Binding.inflate(inflater, container, false)

        // im Textfeld den Inhalt aller drei EditText's anzeigen
        // Daten aus Shared Data auslesen
        val txt1 = mydata.txt1.value
        val txt2 = mydata.txt2.value
        val txt3 = mydata.txt3.value
        binding.txt123.text = "txt1=$txt1\ntxt2=$txt2\ntxt3=$txt3"

        return binding.root
    }


}
